import codecs
import os

from setuptools import find_packages, setup

# these things are needed for the README.md show on pypi
here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()


VERSION = '1.0.4'
DESCRIPTION = 'A language model that imitates the tone, personality and plot of characters like Haruhi Suzumiya to chat in a similar style.'
LONG_DESCRIPTION = 'A language model that imitates the tone, personality and plot of characters like Haruhi Suzumiya to chat in a similar style.'

# Setting up
setup(
    name="chatharuhi",
    version=VERSION,
    author="Cheng Li, Weishi Mi",
    author_email="chengli.thu@gmail.com, mws22@mails.tsinghua.edu.cn",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=long_description,
    packages=find_packages(),
    install_requires=[],
    keywords=['python', 'chatbot', 'LLM', 'role-playing', 'chromadb', 'luotuo'],
    classifiers=[
        "Intended Audience :: Information Technology",
        "Natural Language :: English",
        "Natural Language :: Chinese (Simplified)",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ]
)